Avro C#

Public Member Functions | List of all members
Avro.File.DeflateCodec Class Reference

Implements deflate compression and decompression. More...

Inheritance diagram for Avro.File.DeflateCodec:

## Public Member Functions
override byte[] | Compress (byte[] uncompressedData)
| Compress data using implemented codec.
override void | Compress (MemoryStream inputStream, MemoryStream outputStream)
| Compress data using implemented codec.
override byte[] | Decompress (byte[] compressedData, int length)
| Decompress data using implemented codec
override string | GetName ()
| Name of this codec type.
override bool | Equals (object other)
| Codecs must implement an equals() method.
override int | GetHashCode ()
| Codecs must implement a HashCode() method that is consistent with Equals.
Public Member Functions inherited from Avro.File.Codec
virtual byte[] | Decompress (byte[] compressedData)
| Decompress data using implemented codec. More...
delegate Codec | CodecResolver (string codecMetaString)
| Represents a function capable of resolving a codec string with a matching codec implementation a reader can use to decompress data. More...
override string | ToString ()
| Returns name of codec. More...

## Additional Inherited Members
Public Types inherited from Avro.File.Codec
enum | Type { Type.Deflate, Type.Null, Type.Snappy, Type.BZip2, Type.XZ, Type.Zstandard }
| Codec types. More...
Static Public Member Functions inherited from Avro.File.Codec
static void | RegisterResolver (CodecResolver resolver)
| Registers a function that will attempt to resolve a codec identifying string with a matching codec implementation when reading compressed Avro data. More...
static Codec | CreateCodec (Type codecType)
| Factory method to return child codec instance based on Codec.Type. More...
static Codec | CreateCodecFromString (string codecType)
| Factory method to return child codec instance based on string type. More...

## Detailed Description

Implements deflate compression and decompression.

See also
  Codec, DeflateStream

The documentation for this class was generated from the following file:

- src/apache/main/File/DeflateCodec.cs